Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::concepts::MoveWritable Struct Reference
Concepts
Inheritance diagram for ranges::v3::concepts::MoveWritable:

## Public Member Functions
template<typename Out , typename T >
auto | requires_ (Out &&o, T &&) -> decltype(concepts::valid_expr(*o=std::move(val< T >())))
Public Member Functions inherited from ranges::v3::concepts::refines< Movable(_1), DefaultConstructible(_1)>
void | requires_ (Ts &&...)

## Additional Inherited Members
Public Types inherited from ranges::v3::concepts::refines< Movable(_1), DefaultConstructible(_1)>
using | base_concepts_t = meta::list< Concepts...>